# ApplicationFramework
TKPShape
PGeom

# PGeom_CylindricalSurface Class Reference

`#include <PGeom_CylindricalSurface.hxx>`

Inheritance diagram for PGeom_CylindricalSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_CylindricalSurface ()
| Creates a CylindricalSurface with default values. .
Standard_EXPORT | PGeom_CylindricalSurface (const gp_Ax3 &aPosition, const Standard_Real aRadius)
| Creates a CylindricalSurface with these values. .
Standard_EXPORT void | Radius (const Standard_Real aRadius)
| Set the field radius with <aradius>. .
Standard_EXPORT Standard_Real | Radius () const
| Returns the value of the field radius. .
| PGeom_CylindricalSurface (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_CylindricalSurfaceradius () const
void | _CSFDB_SetPGeom_CylindricalSurfaceradius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_CylindricalSurface::PGeom_CylindricalSurface | ( |  | ) |

Standard_EXPORT PGeom_CylindricalSurface::PGeom_CylindricalSurface | ( | const gp_Ax3 & | aPosition,
|  | const Standard_Real | aRadius
| ) |

PGeom_CylindricalSurface::PGeom_CylindricalSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_CylindricalSurface::_CSFDB_GetPGeom_CylindricalSurfaceradius | ( |  | ) | const`[inline]`

void PGeom_CylindricalSurface::_CSFDB_SetPGeom_CylindricalSurfaceradius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom_CylindricalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_ElementarySurface.

Standard_EXPORT Standard_Real PGeom_CylindricalSurface::Radius | ( |  | ) | const

Standard_EXPORT void PGeom_CylindricalSurface::Radius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real PGeom_CylindricalSurface::radius `[private]`

The documentation for this class was generated from the following file:

- PGeom_CylindricalSurface.hxx